DCMTK: DRTBrachyAccessoryDeviceSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTBrachyAccessoryDeviceSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTBrachyAccessoryDeviceSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getBrachyAccessoryDeviceID (OFString &value, const signed long pos=0) const
| get BrachyAccessoryDeviceID (300a,0263)
OFCondition | getBrachyAccessoryDeviceName (OFString &value, const signed long pos=0) const
| get BrachyAccessoryDeviceName (300a,0266)
OFCondition | getBrachyAccessoryDeviceNominalThickness (OFString &value, const signed long pos=0) const
| get BrachyAccessoryDeviceNominalThickness (300a,026a)
OFCondition | getBrachyAccessoryDeviceNominalThickness (Float64 &value, const unsigned long pos=0) const
| get BrachyAccessoryDeviceNominalThickness (300a,026a)
OFCondition | getBrachyAccessoryDeviceNominalTransmission (OFString &value, const signed long pos=0) const
| get BrachyAccessoryDeviceNominalTransmission (300a,026c)
OFCondition | getBrachyAccessoryDeviceNominalTransmission (Float64 &value, const unsigned long pos=0) const
| get BrachyAccessoryDeviceNominalTransmission (300a,026c)
OFCondition | getBrachyAccessoryDeviceNumber (OFString &value, const signed long pos=0) const
| get BrachyAccessoryDeviceNumber (300a,0262)
OFCondition | getBrachyAccessoryDeviceNumber (Sint32 &value, const unsigned long pos=0) const
| get BrachyAccessoryDeviceNumber (300a,0262)
OFCondition | getBrachyAccessoryDeviceType (OFString &value, const signed long pos=0) const
| get BrachyAccessoryDeviceType (300a,0264)
OFCondition | getMaterialID (OFString &value, const signed long pos=0) const
| get MaterialID (300a,00e1)
OFCondition | getReferencedROINumber (OFString &value, const signed long pos=0) const
| get ReferencedROINumber (3006,0084)
OFCondition | getReferencedROINumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedROINumber (3006,0084)
OFCondition | setBrachyAccessoryDeviceID (const OFString &value, const OFBool check=OFTrue)
| set BrachyAccessoryDeviceID (300a,0263)
OFCondition | setBrachyAccessoryDeviceName (const OFString &value, const OFBool check=OFTrue)
| set BrachyAccessoryDeviceName (300a,0266)
OFCondition | setBrachyAccessoryDeviceNominalThickness (const OFString &value, const OFBool check=OFTrue)
| set BrachyAccessoryDeviceNominalThickness (300a,026a)
OFCondition | setBrachyAccessoryDeviceNominalTransmission (const OFString &value, const OFBool check=OFTrue)
| set BrachyAccessoryDeviceNominalTransmission (300a,026c)
OFCondition | setBrachyAccessoryDeviceNumber (const OFString &value, const OFBool check=OFTrue)
| set BrachyAccessoryDeviceNumber (300a,0262)
OFCondition | setBrachyAccessoryDeviceType (const OFString &value, const OFBool check=OFTrue)
| set BrachyAccessoryDeviceType (300a,0264)
OFCondition | setMaterialID (const OFString &value, const OFBool check=OFTrue)
| set MaterialID (300a,00e1)
OFCondition | setReferencedROINumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedROINumber (3006,0084)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmShortString | BrachyAccessoryDeviceID
| BrachyAccessoryDeviceID (300a,0263) vr=SH, vm=1, type=2.
DcmLongString | BrachyAccessoryDeviceName
| BrachyAccessoryDeviceName (300a,0266) vr=LO, vm=1, type=3.
DcmDecimalString | BrachyAccessoryDeviceNominalThickness
| BrachyAccessoryDeviceNominalThickness (300a,026a) vr=DS, vm=1, type=3.
DcmDecimalString | BrachyAccessoryDeviceNominalTransmission
| BrachyAccessoryDeviceNominalTransmission (300a,026c) vr=DS, vm=1, type=3.
DcmIntegerString | BrachyAccessoryDeviceNumber
| BrachyAccessoryDeviceNumber (300a,0262) vr=IS, vm=1, type=2.
DcmCodeString | BrachyAccessoryDeviceType
| BrachyAccessoryDeviceType (300a,0264) vr=CS, vm=1, type=1.
DcmShortString | MaterialID
| MaterialID (300a,00e1) vr=SH, vm=1, type=3.
DcmIntegerString | ReferencedROINumber
| ReferencedROINumber (3006,0084) vr=IS, vm=1, type=2.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTBrachyAccessoryDeviceSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTBrachyAccessoryDeviceSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getBrachyAccessoryDeviceID()

OFCondition DRTBrachyAccessoryDeviceSequence::Item::getBrachyAccessoryDeviceID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BrachyAccessoryDeviceID (300a,0263)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBrachyAccessoryDeviceName()

OFCondition DRTBrachyAccessoryDeviceSequence::Item::getBrachyAccessoryDeviceName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BrachyAccessoryDeviceName (300a,0266)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBrachyAccessoryDeviceNominalThickness() [1/2]

OFCondition DRTBrachyAccessoryDeviceSequence::Item::getBrachyAccessoryDeviceNominalThickness | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get BrachyAccessoryDeviceNominalThickness (300a,026a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBrachyAccessoryDeviceNominalThickness() [2/2]

OFCondition DRTBrachyAccessoryDeviceSequence::Item::getBrachyAccessoryDeviceNominalThickness | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BrachyAccessoryDeviceNominalThickness (300a,026a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBrachyAccessoryDeviceNominalTransmission() [1/2]

OFCondition DRTBrachyAccessoryDeviceSequence::Item::getBrachyAccessoryDeviceNominalTransmission | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get BrachyAccessoryDeviceNominalTransmission (300a,026c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBrachyAccessoryDeviceNominalTransmission() [2/2]

OFCondition DRTBrachyAccessoryDeviceSequence::Item::getBrachyAccessoryDeviceNominalTransmission | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BrachyAccessoryDeviceNominalTransmission (300a,026c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBrachyAccessoryDeviceNumber() [1/2]

OFCondition DRTBrachyAccessoryDeviceSequence::Item::getBrachyAccessoryDeviceNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BrachyAccessoryDeviceNumber (300a,0262)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBrachyAccessoryDeviceNumber() [2/2]

OFCondition DRTBrachyAccessoryDeviceSequence::Item::getBrachyAccessoryDeviceNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get BrachyAccessoryDeviceNumber (300a,0262)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBrachyAccessoryDeviceType()

OFCondition DRTBrachyAccessoryDeviceSequence::Item::getBrachyAccessoryDeviceType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BrachyAccessoryDeviceType (300a,0264)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMaterialID()

OFCondition DRTBrachyAccessoryDeviceSequence::Item::getMaterialID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get MaterialID (300a,00e1)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedROINumber() [1/2]

OFCondition DRTBrachyAccessoryDeviceSequence::Item::getReferencedROINumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferencedROINumber (3006,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedROINumber() [2/2]

OFCondition DRTBrachyAccessoryDeviceSequence::Item::getReferencedROINumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferencedROINumber (3006,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTBrachyAccessoryDeviceSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTBrachyAccessoryDeviceSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTBrachyAccessoryDeviceSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTBrachyAccessoryDeviceSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBrachyAccessoryDeviceID()

OFCondition DRTBrachyAccessoryDeviceSequence::Item::setBrachyAccessoryDeviceID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BrachyAccessoryDeviceID (300a,0263)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBrachyAccessoryDeviceName()

OFCondition DRTBrachyAccessoryDeviceSequence::Item::setBrachyAccessoryDeviceName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BrachyAccessoryDeviceName (300a,0266)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBrachyAccessoryDeviceNominalThickness()

OFCondition DRTBrachyAccessoryDeviceSequence::Item::setBrachyAccessoryDeviceNominalThickness | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BrachyAccessoryDeviceNominalThickness (300a,026a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBrachyAccessoryDeviceNominalTransmission()

OFCondition DRTBrachyAccessoryDeviceSequence::Item::setBrachyAccessoryDeviceNominalTransmission | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BrachyAccessoryDeviceNominalTransmission (300a,026c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBrachyAccessoryDeviceNumber()

OFCondition DRTBrachyAccessoryDeviceSequence::Item::setBrachyAccessoryDeviceNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BrachyAccessoryDeviceNumber (300a,0262)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBrachyAccessoryDeviceType()

OFCondition DRTBrachyAccessoryDeviceSequence::Item::setBrachyAccessoryDeviceType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BrachyAccessoryDeviceType (300a,0264)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMaterialID()

OFCondition DRTBrachyAccessoryDeviceSequence::Item::setMaterialID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set MaterialID (300a,00e1)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedROINumber()

OFCondition DRTBrachyAccessoryDeviceSequence::Item::setReferencedROINumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferencedROINumber (3006,0084)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTBrachyAccessoryDeviceSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtbads.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2